package com.brilliance.isc.convert.mt4xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT295Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT495Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.Constans;
import org.junit.Test;


public class MT495Test {
    @Test
    public void mt495_Test(){
        MT495Creator mt495Creator = new MT495Creator("495");
        //20
        mt495Creator.setTransactionReferenceNumber("AUSL98765");//16x
        //21
        mt495Creator.setRelatedReference("CRVR/1234567");//16x
        //75
        mt495Creator.setQueries("/12/090601");//6*35x
        //77A
        mt495Creator.setNarrative("REFER TO DRAWEE"+Constans.NEW_LINE+"REFER TO DRAWEE");//20*35x
        //11a
        mt495Creator.setMtandDate("950"+Constans.NEW_LINE+"090527");//3!n<crlf>6!n<crlf>[4!n6!n]
        //79
        mt495Creator.setNarrativeDescriptionofQueryRelates("OKMNKJ"+Constans.NEW_LINE+"DRAWEE DISAGREES WITH CONDITIONS");//35*50x

        MtResult mtResult = MtCreatorManager.packMT(mt495Creator);
    }
    @Test
    public void mt495_Test_2(){
        MT495Creator mt495Creator = new MT495Creator("495");
        //20
        mt495Creator.setTransactionReferenceNumber("AUSL98765ZZZZZZZZZZZZZZZZZZZZZZ");//16x
        //21
        mt495Creator.setRelatedReference("CRVR/1234567");//16x
        //75
        mt495Creator.setQueries("/12/090601");//6*35x
        //77A
        mt495Creator.setNarrative("REFER TO DRAWEE"+Constans.NEW_LINE+"REFER TO DRAWEE");//20*35x
        //11a
        mt495Creator.setMtandDate("950"+Constans.NEW_LINE+"090527");//3!n<crlf>6!n<crlf>[4!n6!n]
        //79
        mt495Creator.setNarrativeDescriptionofQueryRelates("OKMNKJ"+Constans.NEW_LINE+"DRAWEE DISAGREES WITH CONDITIONS");//35*50x

        MtResult mtResult = MtCreatorManager.packMT(mt495Creator);
    }
    @Test
    public void mt495_Test_3(){
        MT495Creator mt495Creator = new MT495Creator("495");
        //20
        mt495Creator.setTransactionReferenceNumber("AUSL98765");//16x
        //21
        mt495Creator.setRelatedReference("CRVR/1234567");//16x
        //75
        mt495Creator.setQueries("/12/090601");//6*35x
        //77A
        mt495Creator.setNarrative("REFER TO DRAWEE"+Constans.NEW_LINE+"REFER TO DRAWEE");//20*35x
        //11a
        mt495Creator.setMtandDate("950"+Constans.NEW_LINE+"090527");//3!n<crlf>6!n<crlf>[4!n6!n]

        MtResult mtResult = MtCreatorManager.packMT(mt495Creator);
    }
}
